/*
 * Tara Graeve
 * Steganography Project 
 * 5/20/19
 */

package steganography;

import java.io.File;
import java.util.Scanner;

public class Driver {

	public static void main(String[] args) {

		Scanner keyboard = new Scanner(System.in); 

		System.out.println("Please enter a secret message.");
		String message = keyboard.nextLine(); 

		File input = new File("DefinitelyNotASecretMessage.wav");

		File output = new File("TotallyASecretMessage.wav"); 

		try {
			Steganography.encodeMessage(input,output,message); // try to encode message 
		} catch (Exception e1) { // otherwise catch 
			keyboard.close();
			return; 
		}
		try {
			System.out.println(Steganography.decodeMessage(output)); // try to decode message 


			if (Steganography.decodeMessage(output).equalsIgnoreCase(message)) { // check if encoded message equals the specified message 
				System.out.println("Congratulations, your message was encoded and saved correctly!");
			}
		} catch (SecretMessageException e1) { // otherwise catch 
			System.out.println(e1.getMessage());
		} 


		keyboard.close(); 	
	}

}
