﻿USE TarasTwistersGymnastics
GO 

IF EXISTS (
	SELECT * FROM sys.objects
	WHERE NAME = N'SearchResults')
	DROP VIEW SearchResults; 
GO 

CREATE VIEW SearchResults AS 
	SELECT GYMNAST_LEVEL.Gymnast_Level, (Gymnast_FName + ' ' + Gymnast_LName) AS Gymnast_FullName, SCORE.Event_ID,
		   SCORE.Score, SCORE.Score_Date
	FROM GYMNAST_LEVEL
	INNER JOIN GYMNAST 
		ON GYMNAST_LEVEL.Gymnast_ID = GYMNAST.Gymnast_ID
	INNER JOIN SCORE 
		ON GYMNAST.Gymnast_ID = SCORE.Gymnast_ID