/* 
 Tara Graeve 
 COMP 1672 Project 1: Connect 4 
 Connect4Game class for Project 1 
 4/15/19
 */

package Connect4;

import java.util.Scanner;

public class Connect4Game {
	private GameBoard board; 

	public Connect4Game() { 
		board = new GameBoard(); 
	}

	public void playGame() { 
		Scanner keyboard = new Scanner(System.in); // allow for user input 
		while(true) {


			board.drawGameBoard(); // draw board 

			// Player 1's turn
			System.out.println("Player 1: What column would you like to place your checker in?");
			int colP1 = keyboard.nextInt(); // store column for use in adding checker 
			while (board.addChecker(colP1, Cell.State.Blue) == false) { // check for valid placement before continuing -- ask for user to try again until valid 
				System.out.println("Invalid move, please try again." + "\n");
				System.out.println("Player 1: What column would you like to place your checker in?");
				colP1 = keyboard.nextInt();	

			}
			board.drawGameBoard(); // draw state of board after player's turn 


			if (board.gameWon(board.getRow(), colP1) == true) { // check if game is won, if so, display congratulatory message and exit game. 
				System.out.println("Player 1 Wins!");
				break; 
			}
			
			if (board.boardFull()) { // check if board is full. If game has not been won and the board is full then display message that it's a tie and exit game. 
				System.out.println("Board is full. It's a tie!");
				break; 
			}


			// Player 2's Turn 
			System.out.println("Player 2: What column would you like to place your checker in?");
			int colP2 = keyboard.nextInt();
			
			while (board.addChecker(colP2, Cell.State.Red) == false) { // check for valid move, repeat until move is valid
				System.out.println("Invalid move, please try again." + "\n");
				System.out.println("Player 2: What column would you like to place your checker in?");
				colP2 = keyboard.nextInt();	
			}
			board.drawGameBoard(); // draw state of board after turn 


			if (board.gameWon(board.getRow(), colP2) == true) { // check if game is won and display congratulatory message and exit if it is 
				System.out.println("Player 2 Wins!");
				break; 
			}
			
			if (board.boardFull()) { // check if board is full. If game has not been won and board is full, then display tie message and exit
				System.out.println("Board is full. It's a tie!");
				break; 
			}


		}
		
		keyboard.close(); 

	}

}
