﻿Public Class GYMNAST_SCORE
    Private Sub GYMNASTBindingNavigatorSaveItem_Click(sender As Object, e As EventArgs) Handles GYMNASTBindingNavigatorSaveItem.Click
        Try
            Me.Validate()
            Me.GYMNASTBindingSource.EndEdit()
            Me.TableAdapterManager.UpdateAll(Me.TarasTwistersGymnasticsDataSet)
        Catch ex As Exception
            MsgBox("Validation Error. Please try again.",, "Error")
        End Try
    End Sub

    Private Sub GYMNAST_SCORE_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'TarasTwistersGymnasticsDataSet.HOUSEHOLD' table. You can move, or remove it, as needed.
        Me.HOUSEHOLDTableAdapter.Fill(Me.TarasTwistersGymnasticsDataSet.HOUSEHOLD)
        'TODO: This line of code loads data into the 'TarasTwistersGymnasticsDataSet._EVENT' table. You can move, or remove it, as needed.
        Me.EVENTTableAdapter.Fill(Me.TarasTwistersGymnasticsDataSet._EVENT)
        'TODO: This line of code loads data into the 'TarasTwistersGymnasticsDataSet.SCORE' table. You can move, or remove it, as needed.
        Me.SCORETableAdapter.Fill(Me.TarasTwistersGymnasticsDataSet.SCORE)
        'TODO: This line of code loads data into the 'TarasTwistersGymnasticsDataSet.SCORE' table. You can move, or remove it, as needed.
        Me.SCORETableAdapter.Fill(Me.TarasTwistersGymnasticsDataSet.SCORE)
        'TODO: This line of code loads data into the 'TarasTwistersGymnasticsDataSet.GYMNAST' table. You can move, or remove it, as needed.
        Me.GYMNASTTableAdapter.Fill(Me.TarasTwistersGymnasticsDataSet.GYMNAST)

    End Sub

    Dim IsAdding As Boolean
    Private Sub BindingNavigatorAddNewItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorAddNewItem.Click
        IsAdding = True
    End Sub

    Private Sub GYMNASTBindingSource_CurrentItemChanged(sender As Object, e As EventArgs) Handles GYMNASTBindingSource.CurrentItemChanged
        Try
            If IsAdding Then
                Dim cmd As New Data.SqlClient.SqlCommand
                cmd.CommandText = "SELECT Max(Gymnast_ID) AS MaxID FROM GYMNAST"
                cmd.CommandType = CommandType.Text
                cmd.Connection = Me.SCORETableAdapter.Connection
                Dim i As Integer
                cmd.Connection.Open()
                i = cmd.ExecuteScalar() + 1
                cmd.Connection.Close()
                Me.Gymnast_IDTextBox.Text = i.ToString
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Dim i As Integer

    Private Sub SCOREBindingSource_CurrentItemChanged(sender As Object, e As EventArgs) Handles SCOREBindingSource.CurrentItemChanged
        Try
            Dim count As Integer
            count = Me.SCOREDataGridView.Rows.Count - 1
            If count > 0 And IsAdding Then
                Dim cmd As New Data.SqlClient.SqlCommand
                cmd.CommandText = "SELECT Max(Score_ID) AS MaxID FROM SCORE"
                cmd.CommandType = CommandType.Text
                cmd.Connection = Me.SCORETableAdapter.Connection
                Dim i As Integer
                cmd.Connection.Open()
                i = cmd.ExecuteScalar() + 1
                cmd.Connection.Close()
                Me.SCOREDataGridView.Rows(count).Cells("Gymnast_ID").Value = i.ToString
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub AddScore_Click(sender As Object, e As EventArgs) Handles AddScore.Click
        IsAdding = True
        Try
            Dim count As Integer
            count = Me.SCOREDataGridView.Rows.Count - 1
            If count > 0 And IsAdding Then
                Dim cmd As New Data.SqlClient.SqlCommand
                cmd.CommandText = "SELECT Max(Score_ID) AS MaxID FROM SCORE"
                cmd.CommandType = CommandType.Text
                cmd.Connection = Me.SCORETableAdapter.Connection
                cmd.Connection.Open()
                i = cmd.ExecuteScalar() + 1
                cmd.Connection.Close()
                Me.SCOREDataGridView.Rows(count).Cells("Gymnast_ID").Value = i.ToString
                i += 1
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub Household_IDTextBox_TextChanged(sender As Object, e As EventArgs)

    End Sub

    Private Sub FillByToolStripButton_Click(sender As Object, e As EventArgs) Handles FillByToolStripButton.Click
        Try
            Me.GYMNASTTableAdapter.FillBy(Me.TarasTwistersGymnasticsDataSet.GYMNAST, Gymnast_FNameToolStripTextBox.Text)
        Catch ex As System.Exception
            System.Windows.Forms.MessageBox.Show(ex.Message)
        End Try

    End Sub

    Private Sub FillBy1ToolStripButton_Click(sender As Object, e As EventArgs) Handles FillBy1ToolStripButton.Click
        Try
            Me.GYMNASTTableAdapter.FillBy1(Me.TarasTwistersGymnasticsDataSet.GYMNAST, Gymnast_LNameToolStripTextBox.Text)
        Catch ex As System.Exception
            System.Windows.Forms.MessageBox.Show(ex.Message)
        End Try

    End Sub

    Private Sub SCOREBindingSource_DataError(sender As Object, e As BindingManagerDataErrorEventArgs) Handles SCOREBindingSource.DataError
        Try
            Me.Validate()
        Catch ex As Exception
            MsgBox("Validation error. Please try again.")
        End Try

    End Sub

    Private Sub btnClose_Click(sender As Object, e As EventArgs) Handles btnClose.Click
        Me.Close()
    End Sub

End Class